Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Reference

To initiate Biometric Verification using the VIDA Verify API, users must include both imageFaceMatchVerification and imageLivenessVerification in their list of operations and provide the required data for each process.

The API is designed to execute both operations concurrently. However, the outcome of Image Face Match Verification is directly dependent on the result of Image Liveness Verification. If the Image Liveness Verification fails—indicating the absence of a live person—there will be no response returned for the Image Face Match Verification. This ensures that facial matching is only performed when the authenticity of a live presence has been validated.

The overall success or failure of the Biometric Verification is, therefore, contingent upon passing the Image Liveness Verification. This layered verification process reinforces security by preventing unauthorized or spoofed attempts during identity authentication.

Additionally, this API can also perform Blacklist Check, given this service is enabled upon request.

Performing Liveness Check

For details liveness check please refer to here

API Description

POST https://{vida-host}/api/v1/verify

Headers

Name
Type
Description

Authentication*

String

Bearer <Token>

Content-Type

Format type of request body

Request Body

Name
Type
Description

operations*

String

["imageLivenessVerification"]

payload*

String

{ "partnerTrxId": "random-uuid","groupId": "random-uuid",""faceImage": "Base64 encoded image" }

userConsent*

String

{ "userIP": "0.0.0.0", "country": "MYS", "obtained": true, "obtainedAt": "1680700959" }

Sample Request and Response

Request

Response

Performing Biometric Verification

API Description

POST https://{vida-host}/api/v1/verify

Headers

Name
Type
Description

Authentication*

String

Bearer <Token>

Content-Type

Format type of request body

Request Body

Name
Type
Description

operations*

String

["imageFaceMatchVerification","imageLivenessVerification"]

payload*

String

{ "partnerTrxId": "random-uuid","groupId": "random-uuid",""faceImage": "Base64 encoded image","croppedFaceImage"or"idFrontSideImage": "Encoded Base64 id card" } Sample Request​

userConsent*

String

{ "userIP": "0.0.0.0", "country": "MYS", "obtained": true, "obtainedAt": "1680700959" }

Sample Request and Response

Request

Response

HTTP Status Code: 200

Performing Blacklist Check

Purpose

To prevent onboarding or verification of users whose facial images appear in a blacklist database. The check runs before the faceMatch operation, and if a match is found, the faceMatch step will be skipped. Blacklist Check can be done as part of Liveness Check and also standalone Blacklist Check.

Flow

  1. Check if Blacklist Check is enabled for product, if yes then perform this check

  2. If the blacklist check fails (face found in blacklist), the system will return an error response with appropriate code and message.

  3. If there is no blacklist image found, the system will return the success response.

API Description

POST https://{vida-host}/api/v1/verify

HTTP Status Code : 200

Success JSON Response for Face Match with No Blacklist Found
Success JSON Response for Face Match With Blacklist Warning

HTTP Status Code : 400

Error JSON Response for Front Side and Back Side - With Error

Last updated